Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# SStringfwd.h File Reference

`#include "ace/Basic_Types.h"`

Include dependency graph for SStringfwd.h:

This graph shows which files directly or indirectly include this file:

## Typedefs
typedef ACE_WCHAR_T | ACE_WSTRING_TYPE
typedef ACE_String_Base< char > | ACE_CString
typedef ACE_String_Base< ACE_WSTRING_TYPE > | ACE_WString
typedef ACE_CString | ACE_TString

## Detailed Description

Id
  SStringfwd.h,v 4.5 2005/10/28 16:14:55 ossama Exp

Forward declarations and typedefs of ACE string types.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Nanbor Wang <nanbor@cs.wustl.edu>

  Ossama Othman <ossama@uci.edu>

## Typedef Documentation

typedef ACE_String_Base<char> ACE_CString

typedef ACE_CString ACE_TString

typedef ACE_String_Base<ACE_WSTRING_TYPE> ACE_WString

typedef ACE_WCHAR_T ACE_WSTRING_TYPE